[Overview][Types][Classes][Variables][Index] | Reference for unit 'fptimer' (#fcl)

# TFPTimer.OnTimer

Event called on each timer tick.

## Declaration

Source position: fptimer.pp line 97

`published property TFPTimer.OnTimer : TNotifyEvent;`

## Description

OnTimer is called on each timer tick. The event handler must be assigned to a method that will do the actual work that should occur when the timer fires.

## See also

Interval |  | Timer tick interval in milliseconds.
Enabled |  | Start or stop the timer